//
//  ButtonFactory.swift
//  Hipstr
//
//  Created by Michael Gazzola on 2/2/15.
//  Copyright (c) 2015 Michael Gazzola. All rights reserved.
//

import UIKit

enum ButtonType {
    case LoginButton
    case RegisterButton
}

class ButtonFactory: NSObject {
    class func buttonWithType(type: ButtonType, title: String) -> UIButton {
        let button = UIButton.buttonWithType(UIButtonType.Custom) as UIButton
        button.setTitle(title, forState: UIControlState.Normal)
        button.setTitleColor(UIColor.whiteColor(), forState: .Normal)
        
        button.titleLabel!.font = UIFont.systemFontOfSize(26)
        button.layer.cornerRadius = 4.0;
        
        switch type {
        case .LoginButton:
            button.backgroundColor = UIColor(red: 30.0/255.0,
                                             green: 185.0/255.0,
                                             blue: 60.0/255.0,
                                             alpha: 0.85)
            break
        case .RegisterButton:
            button.backgroundColor = UIColor(red: 68.0/255.0,
                                             green: 140.0/255.0,
                                             blue: 203.0/255.0,
                                             alpha: 0.85)
            break
        default:
            break
        }
        
        let buttonRect : CGRect = CGRect(origin: CGPointZero,
                                         size: CGSize(width: 250.0,
                                                      height: 44.0))
        button.frame = buttonRect
        return button
    }
}
